## unity 3.8.10

=== CMakeLists.txt ===
  project (unity)
cmake_minimum_required(VERSION 2.8)


include (cmake/Documentation.cmake)

subdirs (services tests tools doc)

#
# Base bits
#
set (PROJECT_NAME "unity")
set (UNITY_MAJOR 3)
set (UNITY_MINOR 8)
set (UNITY_MICRO 10)
set (UNITY_VERSION "${UNITY_MAJOR}.${UNITY_MINOR}.${UNITY_MICRO}")
set (UNITY_API_VERSION "3.0")

#
# Niceties
#
set (ARCHIVE_NAME unity-${UNITY_VERSION})
add_custom_target (dist
    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )

add_custom_target (distcheck
    COMMAND cd ${CMAKE_BINARY_DIR}
    && rm -rf ${ARCHIVE_NAME}
    && tar xf ${ARCHIVE_NAME}.tar.bz2
    && mkdir ${ARCHIVE_NAME}/build
    && cd ${ARCHIVE_NAME}/build
    && cmake -DCMAKE_INSTALL_PREFIX=../install -DGSETTINGS_LOCALINSTALL=ON .. -DCMAKE_MODULE_PATH=/usr/share/cmake
    && make -j8
    && make -j8 install
    && make check
    )
add_dependencies(distcheck dist)

#
# config.h
#
set (PREFIXDIR "${CMAKE_INSTALL_PREFIX}")
set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
set (PKGDATADIR "${DATADIR}/unity/${UNITY_MAJOR}")
set (GETTEXT_PACKAGE "unity")
set (LOCALE_DIR "${DATADIR}/locale")
set (VERSION "${UNITY_VERSION}")
set (BUILDDIR "${CMAKE_BINARY_DIR}")
set (TESTVALADIR "${CMAKE_SOURCE_DIR}/tests/vala")

configure_file (${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

#
# Data
#
file (GLOB _datafiles "${CMAKE_CURRENT_SOURCE_DIR}/resources/*")
install (FILES ${_datafiles} DESTINATION ${PKGDATADIR})

install (FILES plugin-unityshell.png DESTINATION ${DATADIR}/ccsm/icons/hicolor/64x64/apps)

#
# i18n
#
find_package (Gettext REQUIRED)

add_custom_command (OUTPUT ${CMAKE_SOURCE_DIR}/po/unity.pot
		COMMAND xgettext -c --files-from ${CMAKE_SOURCE_DIR}/po/POTFILES.in --keyword=_ -o ${CMAKE_SOURCE_DIR}/po/unity.pot --copyright-holder="Canonical Ltd" --msgid-bugs-address="ayatana-dev@lists.launchpad.net" --no-wrap --no-location
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
		)

if (${GETTEXT_FOUND} STREQUAL "TRUE")
        set (HAVE_GETTEXT true)
        file (GLOB _translations ${CMAKE_SOURCE_DIR}/po/*.po)
        GETTEXT_CREATE_TRANSLATIONS (${CMAKE_SOURCE_DIR}/po/${PROJECT_NAME}.pot
                ALL ${_translations})
endif (${GETTEXT_FOUND} STREQUAL "TRUE")

#
# Enable or disable boot logging
# 
option (BOOT_LOGGER "Enable startup performance logging" OFF)
if (BOOT_LOGGER)
    SET (BOOT_LOGGER_FLAG "-DENABLE_LOGGER")
endif (BOOT_LOGGER)

SET (MAINTAINER_CFLAGS "-Werror -Wall -Wcast-align -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self")
option (DISABLE_MAINTAINER_CFLAGS "Disable maintainer CFlags" OFF)
if (DISABLE_MAINTAINER_CFLAGS)
  SET (MAINTAINER_CFLAGS "")
endif (DISABLE_MAINTAINER_CFLAGS)

#
# src (Compiz Plugin)
#
set (UNITY_PLUGIN_DEPS "nux-0.9;libbamf;dee-1.0;gio-2.0;gio-unix-2.0;dbusmenu-glib-0.4;x11;libstartup-notification-1.0;gthread-2.0;indicator;atk;unity-misc;gconf-2.0;libutouch-geis")

find_package (Compiz REQUIRED)
include (CompizPlugin)
compiz_plugin (unityshell
               PKGDEPS ${UNITY_PLUGIN_DEPS}
               PLUGINDEPS composite opengl
               CFLAGSADD "-DINSTALLPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' -DPKGDATADIR='\"${CMAKE_INSTALL_PREFIX}/share/unity/3\"' -I${CMAKE_BINARY_DIR} ${BOOT_LOGGER_FLAG} -DGETTEXT_PACKAGE='\"unity\"' ${MAINTAINER_CFLAGS}"
               )

#
# UTouch things
#

compiz_add_plugins_in_folder ("${CMAKE_SOURCE_DIR}/utouch")

#
# GSettings Schema
#
SET (UNITY_SCHEMAS "com.canonical.Unity.gschema.xml")

# Have an option to not install the schema into where GLib is
option (GSETTINGS_LOCALINSTALL "Install GSettings Schemas locally instead of to the GLib prefix" OFF)
if (GSETTINGS_LOCALINSTALL)
    SET (GSETTINGS_DIR "${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas/")
else (GSETTINGS_LOCALINSTALL)
    execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} glib-2.0 --variable prefix  OUTPUT_VARIABLE _glib_prefix OUTPUT_STRIP_TRAILING_WHITESPACE)
    SET (GSETTINGS_DIR "${_glib_prefix}/share/glib-2.0/schemas/")
endif (GSETTINGS_LOCALINSTALL)

# Run the validator and error if it fails
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas  OUTPUT_VARIABLE _glib_comple_schemas OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process (COMMAND ${_glib_comple_schemas} --dry-run --schema-file=${CMAKE_CURRENT_SOURCE_DIR}/${UNITY_SCHEMAS} ERROR_VARIABLE _schemas_invalid OUTPUT_STRIP_TRAILING_WHITESPACE)

if (_schemas_invalid)
  message (SEND_ERROR "Schema validation error: ${_schemas_invalid}")
endif (_schemas_invalid)

# Actually install and recomple schemas
message (STATUS "GSettings schemas will be installed into ${GSETTINGS_DIR}")
install (FILES ${UNITY_SCHEMAS} DESTINATION ${GSETTINGS_DIR} OPTIONAL)
install (CODE "message (STATUS \"Compiling GSettings schemas\")")
install (CODE "execute_process (COMMAND ${_glib_comple_schemas} ${GSETTINGS_DIR})")

# For testing
configure_file (${CMAKE_SOURCE_DIR}/${UNITY_SCHEMAS} ${CMAKE_BINARY_DIR}/settings/${UNITY_SCHEMAS})
execute_process (COMMAND ${_glib_comple_schemas} ${CMAKE_BINARY_DIR}/settings)

=== tests/CMakeLists.txt ===
#
# Data
#
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/update-manager.desktop
                ${CMAKE_BINARY_DIR}/tests/data/update-manager.desktop)
set (TESTVALADIR "${CMAKE_SOURCE_DIR}/tests/vala")
#
# Unit tests
#
find_package (PkgConfig)
set (TEST_DEPS "${UNITY_PLUGIN_DEPS};indicator")
pkg_check_modules (TEST_UNIT_DEPS REQUIRED ${TEST_DEPS} indicator)

set (CFLAGS
     ${TEST_UNIT_DEPS_CFLAGS}
     ${TEST_UNIT_DEPS_CFLAGS_OTHER}
     ${MAINTAINER_CFLAGS}
     "-DTESTDATADIR=${TESTDATADIR}"
     "-DGETTEXT_PACKAGE=\"unity\""
     "-DINDICATORDIR=\"${CMAKE_BINARY_DIR}/tests\""
     "-DINDICATORICONDIR=\"${CMAKE_BINARY_DIR}/tests\""
     )
add_definitions (${CFLAGS})

set (LIBS ${TEST_UNIT_DEPS_LIBRARIES})
link_libraries (${LIBS})

set (LIB_PATHS ${TEST_UNIT_DEPS_LIBRARY_DIRS})
link_directories (${LIB_PATHS})

include_directories (. .. ../services ${CMAKE_BINARY_DIR})

find_program(GLIB_GENMARSHAL glib-genmarshal)
add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/services/panel-marshal.c
  COMMAND ${GLIB_GENMARSHAL} ARGS ${CMAKE_SOURCE_DIR}/services/panel-marshal.list --body --prefix=panel_marshal > ${CMAKE_SOURCE_DIR}/services/panel-marshal.c
  COMMAND ${GLIB_GENMARSHAL} ARGS ${CMAKE_SOURCE_DIR}/services/panel-marshal.list --header --prefix=panel_marshal > ${CMAKE_SOURCE_DIR}/services/panel-marshal.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ../services/panel-marshal.list
  COMMENT "Generating marshallers")

# We can't have convenience libs so we need to rebuild with what we need
# Please keep actual test files alphabetically at top and then files
# from ../../src or ../../services in alphabetically after that
add_executable (test-unit
                unit/TestFavoriteStoreGSettings.cpp
                unit/TestPanelService.cpp
                unit/TestPlaceFactoryFile.cpp
                unit/TestQuicklistMenuitems.cpp
                unit/TestMain.cpp
                unit/TestUBus.cpp
                ../src/ubus-server.cpp
                ../src/ubus-server.h
                ../services/panel-service.c
                ../services/panel-service.h
                ${CMAKE_SOURCE_DIR}/services/panel-marshal.c
                ../src/FavoriteStore.cpp
                ../src/FavoriteStore.h
                ../src/FavoriteStoreGSettings.cpp
                ../src/FavoriteStoreGSettings.h
                ../src/Introspectable.cpp
                ../src/PlaceEntryRemote.cpp
                ../src/PlaceEntryRemote.h
                ../src/PlaceEntry.h
                ../src/PlaceFactoryFile.cpp
                ../src/PlaceFactoryFile.h
                ../src/PlaceFactory.cpp
                ../src/PlaceFactory.h
                ../src/PlaceRemote.cpp
                ../src/PlaceRemote.h
                ../src/Place.h
                ../src/QuicklistMenuItem.cpp
                ../src/QuicklistMenuItem.h
                ../src/QuicklistMenuItemCheckmark.cpp
                ../src/QuicklistMenuItemCheckmark.h
                ../src/QuicklistMenuItemLabel.cpp
                ../src/QuicklistMenuItemLabel.h
                ../src/QuicklistMenuItemRadio.cpp
                ../src/QuicklistMenuItemRadio.h
                ../src/QuicklistMenuItemSeparator.cpp
                ../src/QuicklistMenuItemSeparator.h
                ../src/QuicklistView.cpp
                ../src/QuicklistView.h
                ../src/
                )

add_executable (test-panel
                TestPanel.cpp
                ../src/PanelStyle.cpp
                ../src/PanelStyle.h
                ../src/PanelView.cpp
                ../src/PanelView.h
                ../src/PanelIndicatorObjectView.cpp
                ../src/PanelIndicatorObjectView.h
                ../src/PanelIndicatorObjectEntryView.cpp
                ../src/PanelIndicatorObjectEntryView.h
            		../src/PanelTitlebarGrabAreaView.h
            		../src/PanelTitlebarGrabAreaView.cpp
                ../src/PanelTray.cpp
                ../src/PanelTray.h
                ../src/IndicatorObjectFactory.h
                ../src/IndicatorObjectProxy.h
                ../src/IndicatorObjectEntryProxy.h
                ../src/IndicatorObjectFactoryRemote.cpp
                ../src/IndicatorObjectFactoryRemote.h
                ../src/IndicatorObjectProxyRemote.cpp
                ../src/IndicatorObjectProxyRemote.h
                ../src/IndicatorObjectEntryProxyRemote.cpp
                ../src/IndicatorObjectEntryProxyRemote.h
                ../src/Introspectable.cpp
                ../src/Introspectable.h
                ../src/PanelHomeButton.cpp
                ../src/PanelHomeButton.h
                ../src/PanelMenuView.cpp
                ../src/PanelMenuView.h
                ../src/TimeMe.cpp
                ../src/TimeMe.h
                ../src/StaticCairoText.cpp
                ../src/StaticCairoText.h
                ../src/WindowButtons.cpp
                ../src/WindowButtons.h
                ../src/WindowManager.cpp
                ../src/WindowManager.h
                ../src/UScreen.cpp
                ../src/UScreen.h
                ../src/ubus-server.cpp
                ../src/ubus-server.h
                )

set (PLACES_COMMON_SOURCE ../src/ubus-server.cpp
                          ../src/ubus-server.h
                          ../src/IconLoader.cpp
                          ../src/IconLoader.h
                          ../src/IconTexture.cpp
                          ../src/IconTexture.h
                          ../src/Introspectable.cpp
                          ../src/Introspectable.h
                          ../src/PlacesSettings.cpp
                          ../src/PlacesSettings.h
                          ../src/PlacesStyle.cpp
                          ../src/PlacesStyle.h
                          ../src/PlacesTile.cpp
                          ../src/PlacesTile.h
                          ../src/PlacesHorizontalTile.cpp
                          ../src/PlacesHorizontalTile.h
                          ../src/PlacesSimpleTile.cpp
                          ../src/PlacesSimpleTile.h
                          ../src/TextureCache.h
                          ../src/TextureCache.cpp
                          ../src/TimeMe.cpp
                          ../src/TimeMe.h
                          ../src/StaticCairoText.cpp
                          ../src/StaticCairoText.h
                          ../src/UBusMessages.h
                          )
add_executable (test-places
                TestPlaces.cpp
                ${PLACES_COMMON_SOURCE}
                ../src/PlacesEmptyView.cpp
                ../src/PlacesEmptyView.h
                ../src/PlacesHomeView.cpp
                ../src/PlacesHomeView.h
                ../src/PlacesSearchBar.cpp
                ../src/PlacesSearchBar.h
                ../src/PlacesSearchBarSpinner.cpp
                ../src/PlacesSearchBarSpinner.h
                ../src/PlacesResultsController.cpp
                ../src/PlacesResultsController.h
                ../src/PlacesResultsView.h
                ../src/PlacesResultsView.cpp
                ../src/PlacesGroupController.cpp
                ../src/PlacesResultsController.h
                ../src/PlacesGroup.cpp
                ../src/PlacesGroup.h
                ../src/PlacesView.cpp
                ../src/PlacesView.h
                ../src/PlacesVScrollBar.cpp
                ../src/PlacesVScrollBar.h
                ../src/PlaceEntryHome.cpp
                ../src/PlaceEntryRemote.h
                ../src/PlaceEntryRemote.cpp
                ../src/PlaceEntryRemote.h
                ../src/PlaceEntry.h
                ../src/PlaceFactoryFile.cpp
                ../src/PlaceFactoryFile.h
                ../src/PlaceFactory.cpp
                ../src/PlaceFactory.h
                ../src/PlaceRemote.cpp
                ../src/PlaceRemote.h
                ../src/Place.h
                )

add_executable (test-places-tiles
                TestPlacesTiles.cpp
                ${PLACES_COMMON_SOURCE}
                )


add_executable (test-places-group
                TestPlacesGroup.cpp
                ${PLACES_COMMON_SOURCE}
                ../src/PlacesGroup.cpp
                ../src/PlacesGroup.h
                )

add_executable (test-places-results
                TestPlacesResults.cpp
                ${PLACES_COMMON_SOURCE}
                ../src/PlacesResultsController.cpp
                ../src/PlacesResultsController.h
                ../src/PlacesResultsView.h
                ../src/PlacesResultsView.cpp
                ../src/PlacesGroupController.cpp
                ../src/PlacesGroupController.h
                ../src/PlacesGroup.cpp
                ../src/PlacesGroup.h
                ../src/PlacesVScrollBar.cpp
                ../src/PlacesVScrollBar.h
                )

add_executable (test-quicklist
                ui/TestQuicklist.cpp
                ui/EventFaker.cpp
                ui/EventFaker.h
                ../src/Introspectable.cpp
                ../src/Introspectable.h
                ../src/QuicklistMenuItem.cpp
                ../src/QuicklistMenuItem.h
                ../src/QuicklistMenuItemCheckmark.cpp
                ../src/QuicklistMenuItemCheckmark.h
                ../src/QuicklistMenuItemLabel.cpp
                ../src/QuicklistMenuItemLabel.h
                ../src/QuicklistMenuItemRadio.cpp
                ../src/QuicklistMenuItemRadio.h
                ../src/QuicklistMenuItemSeparator.cpp
                ../src/QuicklistMenuItemSeparator.h
                ../src/QuicklistView.cpp
                ../src/QuicklistView.h
                ../src/ubus-server.cpp
                ../src/ubus-server.h
                )

add_executable (test-quicklist-visuals
                ui/TestQuicklistVisuals.cpp
                ui/EventFaker.cpp
                ui/EventFaker.h
                ../src/Introspectable.cpp
                ../src/Introspectable.h
                ../src/QuicklistMenuItem.cpp
                ../src/QuicklistMenuItem.h
                ../src/QuicklistMenuItemCheckmark.cpp
                ../src/QuicklistMenuItemCheckmark.h
                ../src/QuicklistMenuItemLabel.cpp
                ../src/QuicklistMenuItemLabel.h
                ../src/QuicklistMenuItemRadio.cpp
                ../src/QuicklistMenuItemRadio.h
                ../src/QuicklistMenuItemSeparator.cpp
                ../src/QuicklistMenuItemSeparator.h
                ../src/QuicklistView.cpp
                ../src/QuicklistView.h
                ../src/ubus-server.cpp
                ../src/ubus-server.h
                )

add_executable (test-places-backend
                TestPlacesBackend.cpp
                ../src/PlaceEntryRemote.cpp
                ../src/PlaceEntryRemote.h
                ../src/PlaceEntry.h
                ../src/PlaceFactoryFile.cpp
                ../src/PlaceFactoryFile.h
                ../src/PlaceFactory.h
                ../src/PlaceFactory.cpp
                ../src/PlaceRemote.cpp
                ../src/PlaceRemote.h
                ../src/Place.h
                )
#
# check target
#
set (TEST_RESULT_DIR ${CMAKE_BINARY_DIR}/tests)
set (TEST_RESULT_XML ${TEST_RESULT_DIR}/test-results.xml)
set (TEST_RESULT_HTML ${TEST_RESULT_DIR}/test-results.html)
set (TEST_COMMAND gtester --verbose -k --g-fatal-warnings -o=${TEST_RESULT_XML} ./test-unit)
add_custom_target (check COMMAND  ${TEST_COMMAND} DEPENDS test-unit)
add_custom_target (check-report COMMAND ${TEST_UNIT_COMMAND} && gtester-report ${TEST_RESULT_XML} > ${TEST_RESULT_HTML})

## unity 0.1.43-0ubuntu1common0omsk4

=== debian/changelog ===
unity (0.1.43-0ubuntu1common0omsk4) lucid; urgency=low

  * debian/patches/translations.patch:
    - add to po/POTFILES.in src/panel/panel-home.vala
    - updated pot and all pos
    - add translations for tooltip for de es fr it nl zh_CN and zh_TW
      LP: #596222

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Fri, 03 Sep 2010 09:37:57 -0400

unity (0.1.43-0ubuntu1common0omsk3) lucid; urgency=low

  * debian/patches/add_toolip_to_home_button.patch:
    - Add tooltip to home button to let the user know what it does.
      LP: #596222

 -- Michael Terry <michael.terry@canonical.com>  Wed, 25 Aug 2010 14:41:33 -0400

unity (0.1.43-0ubuntu1common0omsk2) lucid; urgency=low

  * debian/patches/oem-search-raise-browser-window.patch: raise a potentially
    existing browser window upon search (LP: #606485)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 30 Jul 2010 14:47:17 +0200

unity (0.1.43-0ubuntu1common0omsk1) lucid; urgency=low

  [ Jason Smith ]
  * src/quicklauncher/quicklauncher-manager.vala:
    - Don't crash if found_item is null.  LP: #598101

 -- Michael Terry <michael.terry@canonical.com>  Wed, 30 Jun 2010 12:29:19 -0400

unity (0.1.43-0ubuntu1) lucid; urgency=low

  * Fix panel input during expose

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 28 Jun 2010 17:22:28 +0100

unity (0.1.42-0ubuntu2) lucid; urgency=low

  * Build for correct target

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 28 Jun 2010 09:37:57 +0100

unity (0.1.42-0ubuntu1) maverick; urgency=low

  * Fading tray fixes
  * Remove white flash when loading panel home button
  * Remove second Background object creation

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 28 Jun 2010 09:29:26 +0100

unity (0.1.40-0ubuntu4) lucid; urgency=low

  * Build for the right distro!

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 09 Jun 2010 14:51:50 +0100

unity (0.1.40-0ubuntu3) maverick; urgency=low

  * 0i

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 09 Jun 2010 14:51:48 +0100

unity (0.1.40-0ubuntu2) maverick; urgency=low

  * Forgot to autogen

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 09 Jun 2010 10:21:57 +0100

unity (0.1.40-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 09 Jun 2010 10:16:47 +0100

unity (0.1.38-0ubuntu1) lucid; urgency=low

  * New upstream release
  * debian/control:
    - depends on new wncksync
  * revert debian/patches/fix_search: upstreamed

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 May 2010 13:21:46 +0200

unity (0.1.34-0ubuntu5) lucid; urgency=low

  * debian/patches/fix_search:
    - fix schema for & character

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 May 2010 00:46:35 +0200

unity (0.1.34-0ubuntu4) lucid; urgency=low

  * debian/control:
    - depends on libdbusmodel0 (<= 0.2)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 May 2010 00:02:18 +0200

unity (0.1.34-0ubuntu3) lucid; urgency=low

  * debian/control:
    - fix mutter dep
    - bump Standards-Version to latest

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 06 May 2010 23:33:40 +0200

unity (0.1.34-0ubuntu2) lucid; urgency=low

  * More fixes

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 06 May 2010 23:23:58 +0200

unity (0.1.32-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - add more sane recommends and dependencies for mutter and defaults

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 06 May 2010 12:31:08 +0200

unity (0.1.30-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control, debian/*.install:
    no more places in unity

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 06 May 2010 10:55:57 +0200

unity (0.1.28-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - bump mutter dep

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Apr 2010 16:54:08 +0200

unity (0.1.26-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - bump dep for libclutk-dev and liblauncher-dev

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 16 Apr 2010 17:30:12 +0200

unity (0.1.24-0ubuntu1) lucid; urgency=low

  * debian/control:
    - add debug package to both unity and libunity-places0
    - bump clutk, liblauncher and wncksync build-dep
  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 19 Mar 2010 15:40:10 +0100

unity (0.1.22-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - bump libclutk-dev and liblauncher-dev build-dep
  * debian/rules:
    - include gnome.mk to call dh_gconf
  * debian/unity.install:
    - install locales and gconf schema

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Mar 2010 20:36:49 +0100

unity (0.1.20-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - bump clutk, liblauncher and wncksync build-dep

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 04 Mar 2010 20:47:17 +0100

unity (0.1.18-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - remove maximus as a recommend
    - bump libclutk-dev and liblauncher-dev build-dep


 -- Didier Roche <didrocks@ubuntu.com>  Fri, 26 Feb 2010 13:44:42 +0100

unity (0.1.16-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - unity now depends on unity-asset-pool
    - bump libclutk-dev and liblauncher-dev build-dep
    - add intltool build-dep
    - add indicator-datetime and chromium-browser as recommends
  * debian/rules:
    - remove -Wall from CFLAGS, FTFBS due to unused reference

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 18 Feb 2010 20:15:25 +0100

unity (0.1.14-0ubuntu1) lucid; urgency=low

  * New upstream release
  * debian/control:
    - bump libclutk-dev and liblauncher-dev build-dep

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Feb 2010 20:05:44 +0100

unity (0.1.12-0ubuntu1) lucid; urgency=low

  * debian/control:
    - remove netbook-launcher transitional package as the old one will
      be shipped in lucid


=== debian/control ===
Source: unity
Section: gnome
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: cdbs,
               debhelper (>= 7),
               pkg-config,
               valac (>= 0.7.8),
               libvala-dev (>= 0.7.8),
               intltool (>= 0.35.0),
               libgee-dev (>= 0.5.0),
               libunique-dev,
               libclutter-1.0-dev,
               libclutter-gtk-0.10-dev (>= 0.10.2-1ubuntu1),
               libclutk-dev (>= 0.3.26),
               liblauncher-dev (>= 0.3.24),
               libwnck-dev (>= 2.28.0),
               libwncksync-dev (>= 0.2.24),
               libglib2.0-dev (>= 2.22.2-0ubuntu1wncksync3),
               libgtk2.0-dev (>= 2.18.0),
               libdbusmodel-dev (>= 0.1.0),
               libindicator-dev (>= 0.3.1),
               libunity-misc-dev (>= 0.1.0),
               libmutter-dev (>= 2.29.0-1ubuntu1dx3+r3435)
Standards-Version: 3.8.4
Homepage: https://launchpad.net/ayatana

Package: unity
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mutter (>= 2.29.0-1ubuntu1dx3+r3435),
         unity-asset-pool,
         libdbusmodel0 (<= 0.2.0)
Recommends: indicator-datetime,
            ubuntu-netbook-unity-default-settings
Description: Launcher
 Unity launcher.

Package: unity-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, unity (= ${binary:Version})
Description: Launcher - debugging symbols
 Unity launcher.
 .
 This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk

CFLAGS=$(shell echo $$CFLAGS | sed -e 's/\-Wall//')

DEB_DH_MAKESHLIBS_ARGS = -Xusr/lib/mutter/plugins/

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
common-binary-post-install-arch:: list-missing

binary-pre-install::
	find debian/tmp/usr/lib -name \*.la -exec rm {} \;
	find debian/tmp/usr/lib -name \*.a -exec rm {} \;

## unity 3.8.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-  project (unity)
+project (unity)
 cmake_minimum_required(VERSION 2.8)
 
 
@@ -12,7 +12,7 @@
 set (PROJECT_NAME "unity")
 set (UNITY_MAJOR 3)
 set (UNITY_MINOR 8)
-set (UNITY_MICRO 10)
+set (UNITY_MICRO 16)
 set (UNITY_VERSION "${UNITY_MAJOR}.${UNITY_MINOR}.${UNITY_MICRO}")
 set (UNITY_API_VERSION "3.0")

=== services/CMakeLists.txt ===
#
# Panel Service
#
find_package(PkgConfig)
pkg_check_modules(SERVICE_DEPS REQUIRED gobject-2.0 gio-2.0 gtk+-2.0 gthread-2.0 indicator>=0.3.19 x11 gconf-2.0)

execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator --variable indicatordir OUTPUT_VARIABLE _indicatordir OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator --variable iconsdir OUTPUT_VARIABLE _iconsdir OUTPUT_STRIP_TRAILING_WHITESPACE)

set(PANEL_SOURCES
    panel-a11y.c
    panel-a11y.h
    panel-indicator-accessible.c
    panel-indicator-accessible.h
    panel-indicator-entry-accessible.c
    panel-indicator-entry-accessible.h
    panel-main.c
    ${CMAKE_SOURCE_DIR}/services/panel-marshal.c
    panel-root-accessible.c
    panel-root-accessible.h
    panel-service.c
    panel-service.h
    panel-util-accessible.c
    panel-util-accessible.h)

find_program(GLIB_GENMARSHAL glib-genmarshal)
add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/services/panel-marshal.c
  COMMAND ${GLIB_GENMARSHAL} ARGS panel-marshal.list --body --prefix=panel_marshal > ${CMAKE_SOURCE_DIR}/services/panel-marshal.c
  COMMAND ${GLIB_GENMARSHAL} ARGS panel-marshal.list --header --prefix=panel_marshal > ${CMAKE_SOURCE_DIR}/services/panel-marshal.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS panel-marshal.list
  COMMENT "Generating marshallers")

set(CFLAGS
    ${SERVICE_DEPS_CFLAGS}
    ${SERVICE_DEPS_CFLAGS_OTHER}
    ${MAINTAINER_CFLAGS}
    "-DGETTEXT_PACKAGE=\"unity\""
    "-DINDICATORDIR=\"${_indicatordir}\""
    "-DINDICATORICONDIR=\"${_iconsdir}\""
    "-Werror -Wall"
    )
add_definitions(${CFLAGS})

set(LIBS ${SERVICE_DEPS_LIBRARIES})
link_libraries(${LIBS})

set(LIB_PATHS ${SERVICE_DEPS_LIBRARY_DIRS})
link_directories(${LIB_PATHS})

add_executable(unity-panel-service ${PANEL_SOURCES})
install(TARGETS unity-panel-service DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/unity/)

configure_file(com.canonical.Unity.Panel.Service.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/com.canonical.Unity.Panel.Service.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/com.canonical.Unity.Panel.Service.service DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services)

=== tools/CMakeLists.txt ===
#
# Some unity tools
#
install(FILES makebootchart.py migrate_favorites.py autopilot.py PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/unity/)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/unity.cmake ${CMAKE_BINARY_DIR}/bin/unity)
install(FILES ${CMAKE_BINARY_DIR}/bin/unity PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ
GROUP_EXECUTE WORLD_READ WORLD_EXECUTE DESTINATION bin)

#
# unity-preferences
#
find_package(PkgConfig)
pkg_check_modules(PREFS_DEPS REQUIRED gobject-2.0 gio-2.0 gtk+-2.0 gthread-2.0)

set(CFLAGS
    ${PREFS_DEPS_CFLAGS}
    ${PREFS_DEPS_CFLAGS_OTHER}
    ${MAINTAINER_CFLAGS}
    "-DGETTEXT_PACKAGE=\"unity\""
    "-Werror -Wall"
    )
add_definitions(${CFLAGS})

include_directories (. .. ${CMAKE_BINARY_DIR})

set(LIBS ${PREFS_DEPS_LIBRARIES})
link_libraries(${LIBS})

set(LIB_PATHS ${PREFS_DEPS_LIBRARY_DIRS})
link_directories(${LIB_PATHS})

add_executable(unity-preferences unity-preferences.c)
install(TARGETS unity-preferences DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/)
install (FILES unity-preferences.desktop DESTINATION ${DATADIR}/applications)
